org.eclipse.draw2d

## Class ToggleModel

- java.lang.Object
- - org.eclipse.draw2d.ButtonModel
  - - org.eclipse.draw2d.ToggleModel

    public class ToggleModel
    extends ButtonModel

ButtonModel that supports toggle buttons.

### Field Summary

### Fields inherited from class org.eclipse.draw2d.ButtonModel

`actionName, ARMED_FLAG, ARMED_PROPERTY, DEFAULT_FIRING_BEHAVIOR, ENABLED_FLAG, ENABLED_PROPERTY, firingBehavior, group, MAX_FLAG, MOUSEOVER_FLAG, MOUSEOVER_PROPERTY, PRESSED_FLAG, PRESSED_PROPERTY, REPEAT_FIRING_BEHAVIOR, ROLLOVER_ENABLED_FLAG, ROLLOVER_ENABLED_PROPERTY, SELECTED_FLAG, SELECTED_PROPERTY`

### Constructor Summary

Constructors
Constructor and Description
`ToggleModel()`

### Method Summary

Methods
`void` `fireActionPerformed()` Notifies any ActionListeners on this ButtonModel that an action has been performed.

### Methods inherited from class org.eclipse.draw2d.ButtonModel

`addActionListener, addChangeListener, addStateTransitionListener, fireCanceled, firePressed, fireReleased, fireResume, fireStateChanged, fireSuspend, getGroup, getUserData, installFiringBehavior, isArmed, isEnabled, isMouseOver, isPressed, isSelected, removeActionListener, removeChangeListener, removeStateTransitionListener, setArmed, setEnabled, setFiringBehavior, setGroup, setMouseOver, setPressed, setSelected, setUserData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ToggleModel

    public ToggleModel()

### Method Detail

#### fireActionPerformed

    public void fireActionPerformed()

Notifies any ActionListeners on this ButtonModel that an action has been performed. Sets this ButtonModel's selection to be the opposite of what it was.

Overrides:
  `fireActionPerformed` in class `ButtonModel`
Since:
  2.0